VARKON Version 1.18A 2004-09-07

## rap_inrobtarr - function

Description
Read rapid 'robtaget' array to Varkon arrays

Syntax
RAP_INROBTARR(client,var_name,first,last,trans,rot,conf,extax);

INT | client
STRING | var_name
INT | first
INT | last
VECTOR | trans(n)
FLOAT | rot(4*n)
INT | conf(4*n)
FLOAT | extax(6*n)

Principal parameters
client | - id of the created RPC connection to use
var_name | - the name of the rapid robtarget array to read
first | - first position in arrays to transfer
last | - last position in arrays to transfer
trans | - array of positions (x,y,z)
rot | - 1 dimensional array of orientaions (q1, q2, q3, q4, . . . , q1, q2, q3, q4)
conf | - 1 dimensional array of confdata (cf1, cf4, cf6, cfx, . . . ,cf1, cf4, cf6, cfx)
extax | - 1 dimensional array of external axes (eax_a, eax_b, eax_c, eax_d, eax_e, eax_f, . . . )

Optional parameters
none

Return value
An INT value equal to the current error status as below:

>=0 | RAP variable handling status: operation was successfull
-1 | Remote procedure call failed.
<-1 | RAP variable handling error message, see RAP service specification (3HAC 7697-1) page 127

Comments
RAP routines is only available for xvarkon (UNIX platforms), the use of RAP-routines need also to be enabled when building xvarkon. See $VARKON_ROOT/sources/makefile.

See also
rap_infloat() rap_outfloat() rap_inint() rap_outint() rap_inrobtarget() rap_outrobtarget() rap_inspeed() rap_outspeed() rap_infloatarr() rap_outfloatarr() rap_inrobtarr() rap_outrobtarr() rpc_clientcreate() rpc_clientdestroy()

VARKON Homepage | Index